## pywwetha 2015.12.29

=== debian/changelog ===
pywwetha (2015.12.29) unstable; urgency=medium

  * removed python-support as dependency (no longer in sid)
  * added dh-python

 -- Alf Gaida <agaida@siduction.org>  Tue, 29 Dec 2015 21:53:55 +0100

pywwetha (2015.10.08) unstable; urgency=medium

  * fix pre-dependency

 -- Alf Gaida <agaida@siduction.org>  Thu, 08 Oct 2015 23:35:50 +0200

pywwetha (2014.11.02) unstable; urgency=medium

  * PYTHONPATH error: source folder djinn moved into folder source
  * closes #1722

 -- J. Hamatoma <hama@siduction.net>  Sun, 02 Nov 2014 15:48:11 +0100

pywwetha (2014.10.22) unstable; urgency=medium

  * application will be loaded once only
  * the python path will be extended once only for each application
  * module reloading removed because it is impossible.
    Now the Python path of each used module  must be 
    unique so that applications can be treated in parallel
  * prior handling of not existing static files 
  * refactoring: functionality moved from Config to Host
  * better info (dump) when an url is not found 

 -- J. Hamatoma <hama@siduction.net>  Wed, 22 Oct 2014 19:03:23 +0200

pywwetha (2014.09.29) unstable; urgency=medium

  * error in systemd config: [Socket] not in pywwetha.service
  * closes: #1706

 -- J. Hamatoma <hama@siduction.net>  Mon, 29 Sep 2014 19:48:04 +0200

pywwetha (2014.04.15) unstable; urgency=medium

  * forcing python path contains .../pywwheta

 -- J. Hamatoma <hama@siduction.net>  Tue, 15 Apr 2014 18:42:09 +0200

pywwetha (2014.04.14.02) unstable; urgency=medium

  * wsgihandler changed: 2 args

 -- J. Hamatoma <hama@siduction.net>  Mon, 14 Apr 2014 23:17:24 +0200

pywwetha (2014.04.14) unstable; urgency=medium

  * djinn corrections 

 -- J. Hamatoma <hama@siduction.net>  Mon, 14 Apr 2014 21:03:18 +0200

pywwetha (2014.04.13) unstable; urgency=medium

  * all djinn modules will be referenced by the prefix djinn.
    (no extra entry .../djinn in sys.path)
  * package info in djinn

 -- J. Hamatoma <hama@siduction.net>  Mon, 14 Apr 2014 18:00:57 +0200

pywwetha (2014.04.12) unstable; urgency=medium

  * fix in permanent redirect

 -- J. Hamatoma <hama@siduction.net>  Sun, 13 Apr 2014 21:15:39 +0200

pywwetha (2014.04.11) unstable; urgency=medium

  * script sidu-control moved to sidu-base

 -- J. Hamatoma <hama@siduction.net>  Sat, 12 Apr 2014 12:18:13 +0200

pywwetha (2014.04.10) unstable; urgency=medium

  * sidu-base-systemd no longer exists

 -- J. Hamatoma <hama@siduction.net>  Fri, 11 Apr 2014 23:50:19 +0200

pywwetha (2014.04.06) unstable; urgency=medium

  * service renamed from sidu-base to sidu-base-systemd

 -- J. Hamatoma <hama@siduction.net>  Sun, 06 Apr 2014 20:53:48 +0200

pywwetha (2014.03.30) unstable; urgency=medium

  * crash if static file does not exist: wrong param type

 -- J. Hamatoma <hama@siduction.net>  Sun, 30 Mar 2014 21:08:57 +0200

pywwetha (2014.03.07) unstable; urgency=medium

  * using sidu-control

 -- J. Hamatoma <hama@siduction.net>  Sun, 09 Mar 2014 01:48:34 +0100

pywwetha (2014.03.06) unstable; urgency=medium

  * listening ip configurable
  * userid and groupid changed after port binding
  * systemd integration
  * added: sidu-control

 -- J. Hamatoma <hama@siduction.net>  Thu, 13 Feb 2014 20:37:00 +0100

pywwetha (2014.02.11.1) next; urgency=medium

  * pywwetha-control modified (should be obsoleted)

 -- Alf Gaida <agaida@siduction.org>  Tue, 11 Feb 2014 02:08:02 +0100

pywwetha (2014.02.11) next; urgency=medium

  * remove debian/init 
  * improve pywwetha.service

 -- Alf Gaida <agaida@siduction.org>  Tue, 11 Feb 2014 01:22:10 +0100

pywwetha (2014.02.11) unstable; urgency=medium

  * standard port changed to 80, standard listening ip is now 127.0.0.86
  * userid and group id are configurable

 -- J. Hamatoma <hama@siduction.net>  Wed, 12 Feb 2014 00:15:52 +0100

pywwetha (2014.01.28) unstable; urgency=medium

  * fix: crash if sidu-manual is started after sidu-installer
    reason: the python path has been extended only once per run
    but it must be extended for each application
  * closes: #1491

 -- J. Hamatoma <hama@siduction.net>  Tue, 28 Jan 2014 21:10:39 +0100

pywwetha (2014.01.03) unstable; urgency=low

  * fix: decoding of %HH in URLs

 -- J. Hamatoma <hama@siduction.net>  Fri, 03 Jan 2014 21:42:19 +0100

pywwetha (2013.11.28) unstable; urgency=low

  * transfer to unstable

 -- Alf Gaida <agaida@siduction.org>  Thu, 28 Nov 2013 21:59:36 +0100

pywwetha (2013.10.18) next; urgency=low

  * version number changed to date based schema

 -- J. Hamatoma <hama@siduction.net>  Fri, 18 Oct 2013 20:39:33 +0200

pywwetha (1.2.4) unstable; urgency=low

  * better send_error() implementation: correct html syntax

 -- J. Hamatoma <hama@siduction.net>  Thu, 12 Sep 2013 21:30:10 +0200

pywwetha (1.2.3) next; urgency=low

  * rebuild and put in base/next
  * closes #1345

 -- Alf Gaida <agaida@siduction.org>  Wed, 09 Oct 2013 00:47:51 +0200

pywwetha (1.2.2) unstable; urgency=low

  * logging to stdout (if not a daemon). fix: setting the level
  * exception will be logged and shown (as page content)
  * --verbose removed: replaced by logging

 -- J. Hamatoma <hama@siduction.net>  Tue, 10 Sep 2013 11:37:34 +0200

pywwetha (1.2.1) unstable; urgency=low

  * logging changed to python standard logging
  * log level will be set by argument --debug or in config file: loglevel=<no>
  * Djinn: an implementation of WSGI middleware, a replacement for Django
  * usr/bin moved to bin
  * end_headers() was ommitted in some cases
  * ugly newline in log

 -- J. Hamatoma <hama@siduction.net>  Mon, 09 Sep 2013 19:07:36 +0200

pywwetha (1.1.1) unstable; urgency=low

  [ J. Hamatoma ]
  * support for POST
  * fix: correct script path in SCRIPT_FILENAME for wsgi

  [ Alf Gaida ]
  * rebuild closes #1118

 -- Alf Gaida <agaida@siduction.org>  Wed, 20 Mar 2013 22:41:07 +0100

pywwetha (1.0.2) unstable; urgency=low

  [ J. Hamatoma ]
  * WSGI and python-django support
  * mime type: +svg +tty
  * tested with Python V3.0

  [ Alf Gaida ]

