=== debian/control ===
Source: pywwetha
Maintainer: J. Hamatoma <hama@siduction.net>
Uploaders: Alf Gaida <agaida@siduction.org>
Section: httpd
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-systemd,
               dh-python
Standards-Version: 3.9.6
Vcs-Browser: http://git.siduction.org/?p=packages/siduction-repository/pywwetha.git;a=summary
Vcs-Git: git://git.siduction.org/packages/siduction-repository/pywwetha
Homepage: http://siduction.org

Package: pywwetha
Architecture: all
Depends: ${misc:Depends},
         python,
         sudo
Pre-Depends: sidu-base (>= 2014.04.11)
Description: simple webserver for static html, CGI and WSGI.
 This webserver can issue static files and CGI created pages.
 Main usage: Building dynamic pages for life CDs or local usage.
 pywwetha can handle WSGI and Django applications.
 In addition pywwetha contains Djinn, a very little WSGI middleware
 which can replace Django in some cases.
