=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# export DH_VERBOSE=1

%:
	dh $@ --with systemd

override_dh_clean:
	find . -name \*.pyc -delete
	dh_clean
